Account
Get User By ID
Overview
This endpoint can be used to get user basic information using user identifier.
Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
userId*string
User identifier for fetching user details
Header Parameters
x-whitelabel-host*string
Host name of the dashboard, ex: mydomain.tagmango.com
x-api-version?string
API version. Supported versions: 1.0, 1.1
Default
"1.0"Value in
"1.0" | "1.1"Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api-prod-new.tagmango.com/api/v1/external/users/62ea773dfc87495de3894e73" \ -H "x-whitelabel-host: string"{
"_id": "6659ca9e5f2acb7abfdcd8fd",
"name": "John Doe",
"email": "john.doe@example.com",
"host": "yourhost.tagmango.com",
"userSlug": "john-doe",
"phone": 1234567890,
"profilePicUrl": "https://linktoprofilepic.com/pic.jpg",
"onboarding": "creator_completed",
"isDeactivated": false,
"country": "India",
"dialCode": "+91",
"currency": "USD",
"leaderboardRank": 1,
"score": 100,
"creator": "6149b1e5612c4e5fd96041d3",
"hasGamificationAccess": false
}{
"code": 400,
"type": "Bad Request",
"statusMessage": "BAD_REQUEST",
"success": false,
"message": "Invalid request",
"result": "Invalid request"
}{
"code": 401,
"type": "Unauthorized",
"statusMessage": "UNAUTHORIZED",
"message": "Invalid token",
"result": "Invalid token",
"success": false
}{
"code": 403,
"type": "Forbidden",
"statusMessage": "FORBIDDEN",
"errorCode": "WORKSHOP_MANGO_FORBIDDEN",
"message": "You can not access this api with a TagMango account, only available for whitelabel hosts",
"result": "You can not access this api with a TagMango account, only available for whitelabel hosts",
"success": false
}{
"code": 429,
"type": "Too Many Requests",
"statusMessage": "TOO_MANY_REQUESTS",
"message": "Request limit exceeded. try after 10 seconds",
"result": "Request limit exceeded. try after 10 seconds",
"success": false
}